Subject: raw terminal?
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: 25 Jul 2002 16:47:53 -0400
Newsgroups: gmane.os.cygwin

when I do

        int x; read(0,&x,1);

the arrow keys move the cursor all over the screen.
on other UNIX flavors, I would get some control junk (like ^[[A)
printed out and made available to read() after I hit RET.
This is what read() gets on cygwin too, but somehow it is not printed
on the screen.  Is there anything I can do to make the terminal behave
more like other UNIX flavors?
(my guess is that this is the "ANSI terminal" - so how do I disable it?)

thanks.

-- 
Sam Steingold (http://www.podval.org/~sds) running RedHat7.3 GNU/Linux
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.palestine-central.com/links.html>
If you think big enough, you'll never have to do it.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/